Last Comment Bug 1112324 - [Privacy Day 2015] Moz.org Homepage promo implementation
: [Privacy Day 2015] Moz.org Homepage promo implementation
Status: RESOLVED FIXED
[kb=1611380]
:
Product: www.mozilla.org
Classification: Other
Component: Pages & Content (show other bugs)
: Development/Staging
: x86 Mac OS X
-- normal
: ---
Assigned To: Craig Cook (:craigcook)
:
:
Mentors:
Depends on: 1112295 1119517 1119519
Blocks: 1109324
  Show dependency treegraph
 
Reported: 2014-12-16 14:04 PST by Mike Alexis [:malexis]
Modified: 2015-07-31 09:21 PDT (History)
8 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Github pull request https://github.com/mozilla/bedrock/pull/2661 (44 bytes, text/x-github-pull-request)
2015-01-15 11:52 PST, Craig Cook (:craigcook)
no flags Details | Review | Splinter Review
Screenshot home page with waffle switch enabled (299.58 KB, image/png)
2015-01-27 00:10 PST, Francesco Lodolo [:flod]
no flags Details

Description User image Mike Alexis [:malexis] 2014-12-16 14:04:13 PST
Moz.org homepage promo that links to privacy/you for Privacy Day 2015, Jan 28. 

Will use look/feel and messaging of landing page.
Comment 1 User image Jennifer Bertsch [:jbertsch] 2015-01-06 14:00:50 PST
Also, change the small "Influence Industries" promo from "Understand your privacy online" to "something still TBD" on Jan 28.
Comment 2 User image Mike Alexis [:malexis] 2015-01-06 14:42:15 PST
Greg confirmed that the privacy tile will be up for one week.
Comment 3 User image Gregory Jost 2015-01-13 10:18:01 PST
Just a quick note that promo copy needs to get localized in es-ES, fr, de, pt-BR, ru. Do we still have time?
Comment 4 User image Craig Cook (:craigcook) 2015-01-13 10:33:54 PST
(In reply to Gregory Jost from comment #3)
> Just a quick note that promo copy needs to get localized in es-ES, fr, de,
> pt-BR, ru. Do we still have time?

Adding flod. If we can get final copy for both states of the promo (bug 1112297) today, I can have the strings in a PR tonight to start l10n even before the design is final. 

To confirm timing, as I understand it: the promo goes live on the 28th for Privacy Day, then changes on the 29th to a more evergreen state (not mentioning Privacy Day specifically). So if we get the strings extracted tomorrow and we have until 27 January for l10n, will that be enough time?
Comment 5 User image Francesco Lodolo [:flod] 2015-01-13 10:38:02 PST
For those 5 locales it shouldn't be an issue (I can expose the strings tomorrow).
Comment 7 User image Craig Cook (:craigcook) 2015-01-13 16:14:38 PST
To clarify the final strings (since the doc has an extra alt version and I want to make sure I get the right one):

Regular
HEADLINE: Get smart on privacy
ROLLOVER: Learn how to safeguard your life online in four easy steps.
BUTTON: Get smart on privacy

For January 28
HEADLINE: January 28 is Data Privacy Day
ROLLOVER: Get smart on privacy in four easy steps.
BUTTON: Learn how

Is this correct?
Comment 8 User image Gregory Jost 2015-01-13 18:12:07 PST
Hey Craig,
Please use ALT1 instead of the first one. I greyed out the old option so it's super clear.
Comment 9 User image Craig Cook (:craigcook) 2015-01-13 18:15:37 PST
(In reply to Gregory Jost from comment #8)
> Hey Craig,
> Please use ALT1 instead of the first one. I greyed out the old option so
> it's super clear.

Got it, thanks! Glad I asked!
Comment 10 User image Gregory Jost 2015-01-13 18:18:53 PST
Thanks for asking! ;)
Comment 11 User image Francesco Lodolo [:flod] 2015-01-14 05:19:30 PST
Since I don't see a schedule, can someone explain how this is going to work? 

If the second variant is going to be displayed for a day, I don't think it should be exposed for localization. Note that home page tiles are exposed to all locales (unlike the privacy landing page), not just some of them.
Comment 12 User image Craig Cook (:craigcook) 2015-01-14 08:59:34 PST
(In reply to Francesco Lodolo [:flod] from comment #11)
> Since I don't see a schedule, can someone explain how this is going to work? 
> 
> If the second variant is going to be displayed for a day, I don't think it
> should be exposed for localization. Note that home page tiles are exposed to
> all locales (unlike the privacy landing page), not just some of them.

On 28 January, the promo tile goes live with the "January 28 is Data Privacy Day" headline. On 29 January, the same promo tile remains live (it's same design in the same spot) but the text changes to the more general "Get smart on privacy" headline and continues to run through the following week. Then we'll switch back to the previous Webmaker promo.

If it's not a good use of localizers' time to translate the extra three strings that are only seen for a day (or 48 hours, technically) then we should revert to the previous plan of just running the general promo for the full week.

There will also be one more new string for an Advocacy promo that I'm awaiting in bug 1112295.
Comment 13 User image Francesco Lodolo [:flod] 2015-01-14 09:08:00 PST
(In reply to Craig Cook (:craigcook) from comment #12)
> On 28 January, the promo tile goes live with the "January 28 is Data Privacy
> Day" headline. On 29 January, the same promo tile remains live (it's same
> design in the same spot) but the text changes to the more general "Get smart
> on privacy" headline and continues to run through the following week.

For l10n we should definitely use the same text for the entire period. It's already hard to have the tile going away after just one week, given how much time it takes some locales to translate it.

> There will also be one more new string for an Advocacy promo that I'm
> awaiting in bug 1112295.

In the same tile? Checked the bug but it's not clear.
Comment 14 User image Gregory Jost 2015-01-14 09:17:00 PST
(In reply to Francesco Lodolo [:flod] from comment #13)
> For l10n we should definitely use the same text for the entire period. It's
> already hard to have the tile going away after just one week, given how much
> time it takes some locales to translate it.

In that case and if keeping this for en-US only is not an option, let's stick with the generic promo.
Comment 15 User image Craig Cook (:craigcook) 2015-01-14 09:20:24 PST
(In reply to Francesco Lodolo [:flod] from comment #13)

> For l10n we should definitely use the same text for the entire period. It's
> already hard to have the tile going away after just one week, given how much
> time it takes some locales to translate it.

OK, so it's back to Plan A with no specific mention of Privacy Day: 

HEADLINE: Get smart on privacy
ROLLOVER: Learn how to give yourself more control online in four easy steps.
BUTTON: Get smart on privacy

Greg, is this the right copy, or do we want to go back to the original "learn how to safeguard" version?
 
> In the same tile? Checked the bug but it's not clear.

It's a different tile, the small one currently occupied by "Understand your privacy online". I'll nail down the string today and get it into a PR.
Comment 16 User image Gregory Jost 2015-01-14 09:29:03 PST
Craig, this is correct. Thanks.
Comment 17 User image Craig Cook (:craigcook) 2015-01-14 09:29:19 PST
OR, on further thought, we have a Plan C...

We can run the general promo for all active locales for the full week, but we can still show the date-specific version to English-only for the day of the 28th. We still get that timely content to a large audience but we don't burden localizers with more strings that only show up for a day.
Comment 18 User image Gregory Jost 2015-01-14 09:31:04 PST
Oh ok, that's what I was getting at in comment 14. That would be my favorite option. Go plan C!
Comment 19 User image Craig Cook (:craigcook) 2015-01-15 11:52:39 PST
Created attachment 8549820 [details] [review]
Github pull request https://github.com/mozilla/bedrock/pull/2661
Comment 20 User image Craig Cook (:craigcook) 2015-01-15 12:21:33 PST
We'll use waffle to activate/deactivate the promo at the appointed times (noted below as a minute past midnight to avoid ambiguity).

Switch "mozorg-home-privacy-promo" activates on January 28 at 00:01PST (2015-28-01T00:01) deactivates on February 5 at 00:01PST (2015-05-02T00:01).

Switch "mozorg-home-privacy-promo-jan28" activates on January 28 at 00:01PST (2015-28-01T00:01) and deactivates on January 29 at 00:01PST (2015-29-01T00:01).
Comment 21 User image [github robot] 2015-01-19 01:26:39 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/fa1083447ccc801ec2bdddbef55fdf8ccdde966f
Bug 1112324 - Privacy Day home page promo

https://github.com/mozilla/bedrock/commit/9b47aa83196acb94e6b50f9c909f869dfaef8833
Merge pull request #2661 from craigcook/bug-1112324-privacy-day-home-promo

Bug 1112324 - Privacy Day home page promo
Comment 22 User image Mike Alexis [:malexis] 2015-01-20 15:49:30 PST
(In reply to Craig Cook (:craigcook) from comment #20)
> We'll use waffle to activate/deactivate the promo at the appointed times
> (noted below as a minute past midnight to avoid ambiguity).
> 
> Switch "mozorg-home-privacy-promo" activates on January 28 at 00:01PST
> (2015-28-01T00:01) deactivates on February 5 at 00:01PST (2015-05-02T00:01).
> 
> Switch "mozorg-home-privacy-promo-jan28" activates on January 28 at 00:01PST
> (2015-28-01T00:01) and deactivates on January 29 at 00:01PST
> (2015-29-01T00:01).

Craig, if this adds too much complexity or confusion let me know, but it was discussed that we should push the promo a few hours earlier than January 28 at 00:01PST to get a head start on some timezones beyond Europe. Could you change waffle to activate the promos on January 27 at 20:00PST (8:00pm)?
Comment 23 User image Josh Mize [:jgmize] 2015-01-20 16:42:32 PST
(In reply to Mike Alexis [:malexis] from comment #22)
> (In reply to Craig Cook (:craigcook) from comment #20)
> > We'll use waffle to activate/deactivate the promo at the appointed times
> > (noted below as a minute past midnight to avoid ambiguity).
> > 
> > Switch "mozorg-home-privacy-promo" activates on January 28 at 00:01PST
> > (2015-28-01T00:01) deactivates on February 5 at 00:01PST (2015-05-02T00:01).
> > 
> > Switch "mozorg-home-privacy-promo-jan28" activates on January 28 at 00:01PST
> > (2015-28-01T00:01) and deactivates on January 29 at 00:01PST
> > (2015-29-01T00:01).
> 
> Craig, if this adds too much complexity or confusion let me know, but it was
> discussed that we should push the promo a few hours earlier than January 28
> at 00:01PST to get a head start on some timezones beyond Europe. Could you
> change waffle to activate the promos on January 27 at 20:00PST (8:00pm)?

I ran the following commands on the bedrock admin node to schedule the switch flips:

export DIR=/data/bedrock/www/www.mozilla.org-django/bedrock
export SWITCH=mozorg-home-privacy-promo
echo "cd $DIR && ./manage.py switch $SWITCH on --create" | at 20:00 2015-01-27
echo "cd $DIR && ./manage.py switch $SWITCH off" | at 00:01 2015-02-05

export SWITCH=mozorg-home-privacy-promo-jan28
echo "cd $DIR && ./manage.py switch $SWITCH on --create" | at 20:00 2015-01-27
echo "cd $DIR && ./manage.py switch $SWITCH off" | at 00:01 2015-01-29
Comment 24 User image Gregory Jost 2015-01-21 10:26:31 PST
Hi Craig,
Can you use the following redirect url for the tile?
http://www.mozilla.org/privacy/tips?utm_source=mozorg&utm_medium=tile&utm_campaign=DPD15

Assuming you need only one vs one per locale. Let me know if that's not the case.
Comment 25 User image [github robot] 2015-01-22 10:31:12 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/0777b560076114d4f60391b65beeb73402a9f527
Bug 1112324 - updates to privacy day home promo

* Add tracking params to URLs
* Font size adjustment (smaller for non-English)

https://github.com/mozilla/bedrock/commit/2c6c6e8f770b085724b68c556e6a30831d59e84b
Merge pull request #2671 from craigcook/bug-1112324-privacy-day-home-promo

Bug 1112324 - updates to privacy day home promo
Comment 26 User image Jennifer Bertsch [:jbertsch] 2015-01-26 15:50:12 PST
Hey All-

I think I didn't do a good job communicating the requirements for this one...

Privacy Day needs to replace Webmaker in a big promo tile.

Then Advocacy goes into the small promo where Privacy is now, but we don't have copy yet:
https://bugzilla.mozilla.org/show_bug.cgi?id=1119517

Or design.  https://bugzilla.mozilla.org/show_bug.cgi?id=1119519

I'll needinfo jpetto to see if he can help us out here once we have the assets.

Thx,
Jen
Comment 27 User image Jennifer Bertsch [:jbertsch] 2015-01-26 15:59:54 PST
The way it should look is in this bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1112295#c15 but with an updated image that Matt should provide in that bug.
Comment 28 User image Jon Petto [:jpetto] 2015-01-26 17:01:24 PST
I can jump on this as soon as the assets are ready.
Comment 29 User image Francesco Lodolo [:flod] 2015-01-27 00:10:12 PST
Created attachment 8555083 [details]
Screenshot home page with waffle switch enabled

(In reply to Jennifer Bertsch [:jbertsch] from comment #26)
> Then Advocacy goes into the small promo where Privacy is now, but we don't
> have copy yet:
> https://bugzilla.mozilla.org/show_bug.cgi?id=1119517

I'm confused. I added a "Learn about Mozilla Advocacy" string only a few days ago, and I can see it displayed exactly in that small tile, as I can see the Privacy tile replacing webmaker. What am I missing?
Comment 30 User image Craig Cook (:craigcook) 2015-01-27 06:51:10 PST
(In reply to Jennifer Bertsch [:jbertsch] from comment #26)
> Hey All-
> 
> I think I didn't do a good job communicating the requirements for this one...

I'm also confused. This is done and set to activate with a waffle switch on the evening of the 27th but you can see it now on www-dev.allizom.org. We just need to replace the mask graphic. Everything else is complete just as you described.
Comment 31 User image Jennifer Bertsch [:jbertsch] 2015-01-27 08:08:58 PST
(In reply to Craig Cook (:craigcook) from comment #30)
> (In reply to Jennifer Bertsch [:jbertsch] from comment #26)
> > Hey All-
> > 
> > I think I didn't do a good job communicating the requirements for this one...
> 
> I'm also confused. This is done and set to activate with a waffle switch on
> the evening of the 27th but you can see it now on www-dev.allizom.org. We
> just need to replace the mask graphic. Everything else is complete just as
> you described.

Whoops!  My mistake.  I'm sorry all!  Everything is correct on www.-dev.allizom.org.  Thank you and sorry for the disturbance.
Comment 32 User image Craig Cook (:craigcook) 2015-01-27 11:56:25 PST
Filed PR https://github.com/mozilla/bedrock/pull/2688 to update the mask image, sans stick.
Comment 33 User image [github robot] 2015-01-27 12:54:13 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/2b43710dc2ed98f1bb3f33c35149d496b32c29d7
bug 1112324 - update privacy shield image

No stick on the mask

https://github.com/mozilla/bedrock/commit/fc5dadc03542b4f7edc135f3608d6259db93ec7f
Merge pull request #2688 from craigcook/bug-1112324-privacy-day-home-promo

bug 1112324 - update privacy shield image
Comment 34 User image Craig Cook (:craigcook) 2015-07-31 09:21:01 PDT
Closing old bugs.

Note You need to log in before you can comment on or make changes to this bug.